Hi,

Trying to install lsyncd 2.0.1 from source.

When I ran ./configure it complained about not finding lua so I tried
Code:
yum install lua lua-devel
.
Still the same thing...
No package 'lua' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables LUA_CFLAGS
and LUA_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
Googling a bit revealed that most likely I was missing lua.pc in /usr/lib64/pkgconfig.
Code:
find / -name *.pc
did not find any lua.pc at all.
I then tried to get lua 5.1.4 and compile from source. Hoping that would get me somewhere.
make linux
...
/usr/bin/ld: cannot find -lreadline
Needless to say
Installed Packages
readline.i386 5.1-3.el5 installed
readline.x86_64 5.1-3.el5 installed
I'm all out, can anyone help?